Subject: bug#4896: DocView: Continuous mode

From: Juri Linkov <[email-masked]>
Date: Mon, 30 Nov 2009 14:04:59 +0200

>>> We could have a variable `doc-view-continuous-kind' and a minor mode
>>> `doc-view-continuous-mode'.  To me the current behavior, smooth
>>> scrolling or even auto-scrolling are all different kinds of
>>> continuous mode.
>>>
>>> This would allow the flexibility you are striving for while still
>>> make it easy for user to toggle to non-continuous mode.
>>
>> But this means that continuous mode should be enabled by default,
>> because the current default behavior is a kind of continuous mode that
>> allows only SPC and DEL to jump to the next/previous page.
>>
>> This means that users will be interested only in changing the value of
>> `doc-view-continuous-kind' (interactively from the menu or with a
>> command bound to some key).  Thus the minor mode
>> `doc-view-continuous-mode' will be useless.
>
> If doc-view-continuous-kind has a value `none' and there's an interface
> for changing the value quickly, I'm also satisfied without having a
> minor mode. :-)

But currently `doc-view-continuous-mode' has the same purpose with
a different name :-)

Generally, what I what to achieve is to do the same as in stand-alone
PDF viewers - there is only one menu item "Continuous mode".  However,
continuous mode is implemented differently: some PDF viewers use
smooth scrolling, other PDF viewers display only one image at a time.
With a variable like `doc-view-continuous-kind', we could make this
difference customizable.  We should to find a way to do this cleanly.

-- 
Juri Linkov
http://www.jurta.org/emacs/